=== debian/changelog ===
ocaml-atd (1.0.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 00:01:50 +0200

ocaml-atd (0.9.2-2) unstable; urgency=low

  * Add doc-base for ATD manual

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 04 Dec 2010 23:43:36 +0100

ocaml-atd (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #605670)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 22:22:54 +0100
