=== debian/control ===
Source: ocaml-atd
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  menhir, libeasy-format-ocaml-dev
Standards-Version: 3.9.2
Homepage: http://oss.wink.com/atd/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-atd.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-atd.git

Package: libatd-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax for cross-language data types in OCaml
 ATD stands for Adjustable Type Definitions. It is a type definition
 language designed to accommodate a variety of programming languages and
 data formats by the means of target-specific annotations. It supports
 sum types, parametrized types and inheritance. The library provides a
 parser and other tools useful for manipulating ATD type definitions.

Package: libatd-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax for cross-language data types in OCaml
 ATD stands for Adjustable Type Definitions. It is a type definition
 language designed to accommodate a variety of programming languages and
 data formats by the means of target-specific annotations. It supports
 sum types, parametrized types and inheritance. The library provides a
 parser and other tools useful for manipulating ATD type definitions.
 .
 This package contains the shared runtime libraries.
