=== debian/watch ===
version=3
http://oss.wink.com/atd/ atd-([\d\.]*)\.tar\.gz
