## ocaml-atd 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
-# $Id: Makefile 52901 2010-12-10 18:47:39Z martin $
-
-VERSION = 1.0.1
+VERSION = 1.0.3
 
 SOURCES = \
   atd_version.ml \
@@ -8,6 +6,7 @@
   atd_annot.mli atd_annot.ml \
   atd_parser.mli atd_parser.mly \
   atd_lexer.mll \
+  atd_doc_lexer.mll atd_doc.mli atd_doc.ml \
   atd_print.mli atd_print.ml \
   atd_predef.ml \
   atd_check.ml \
@@ -30,11 +29,12 @@
 O = $(patsubst %.ml,%.o, $(ML))
 
 OCAMLFLAGS = -dtypes -g
-OCAMLPACKS = easy-format unix
+OCAMLPACKS = easy-format unix str
 
 DOCFILES = \
   atd_ast \
   atd_annot \
+  atd_doc \
   atd_print \
   atd_expand \
   atd_inherit \
@@ -54,7 +54,7 @@
   export BINDIR
 endif
 
-.PHONY: default all opt install uninstall
+.PHONY: default all opt install uninstall reinstall
 
 default: all opt
 
@@ -70,8 +70,12 @@
 
 uninstall:
 	test ! -f $(BINDIR)/atdcat || rm $(BINDIR)/atdcat
-	test ! -f $(BINDIR)/atdcat.exe || rm $(BINDIR)/atdcat.exe 
+	test ! -f $(BINDIR)/atdcat.exe || rm $(BINDIR)/atdcat.exe
 	ocamlfind remove atd
+
+reinstall:
+	$(MAKE) uninstall || :
+	$(MAKE) install
 
 atd_version.ml: Makefile
 	echo 'let version = "$(VERSION)"' > atd_version.ml
@@ -102,6 +106,9 @@
 	menhir $<
 
 atd_lexer.ml: atd_lexer.mll
+	ocamllex $<
+
+atd_doc_lexer.ml: atd_doc_lexer.mll
 	ocamllex $<
 
 dep: $(SOURCES) Makefile
@@ -139,6 +146,29 @@
 	cmp test.out test.out.out
 	./atdcat -x test2.atd > test2.out
 
+.PHONY: docdemo
+docdemo: atdcat test.atd
+	./atdcat test.atd -html-doc -strip ocaml > test-out.atd
+	caml2html -ext html:cat test-out.atd -nf
+	sed -i -e 's!</style>!\
+div.atd-doc { \
+  border-left: solid #ccc 6px; \
+  margin-bottom: 50px; \
+  margin-left: 30px; \
+  padding: 5px; \
+} \
+div.atd-doc p { \
+  margin: 0px; \
+  padding: 0px; \
+} \
+div.atd-doc pre { \
+  margin-left: 40px; \
+  margin-right: 0px; \
+  margin-top: 10px; \
+  margin-bottom: 10px; \
+} \
+</style>!' test-out.atd.html
+
 .PHONY: clean
 clean:
 	rm -f dep
