=== debian/changelog ===
ocaml-atd (1.0.3-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file and hompage
  * new upstream version
  * add myself as uploader
  * bump debhelper compat level and standards version
  * update package description
  * update copyright
  * fix patches
    - delete old patch
    - add makefile.patch for byte compilation and installation of some ml files
    - add lintian-allows-to.patch to fix lintian allows warning
    - add build-manual-without-install.patch to build manual/atd-manual.html
      without prior installation of the atd library
  * update rules and other debhelper files
  * fix build dependencies
  * install pdf version of manual
  * enable tests
  * rewrite/improve man page

 -- Hendrik Tews <hendrik@askra.de>  Thu, 06 Jun 2013 10:21:07 +0200
