=== debian/control ===
Source: ocaml-atd
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  menhir, 
  libeasy-format-ocaml-dev,
  hevea,
  camlmix,
  libfindlib-ocaml-dev,
  libcaml2html-ocaml-dev,
  texlive-latex-extra
Standards-Version: 3.9.4
Homepage: http://mjambon.com/atdgen
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-atd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-atd.git

Package: libatd-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax for cross-language data types in OCaml - development files
 ATD stands for Adjustable Type Definitions. It is a type definition
 language designed to accommodate a variety of programming languages and
 data formats by the means of target-specific annotations. It supports
 sum types, parametrized types and inheritance. The library provides a
 parser and other tools useful for manipulating ATD type definitions.
 .
 This package contains the development files needed for programming
 with the library.

Package: libatd-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax for cross-language data types in OCaml - plugins
 ATD stands for Adjustable Type Definitions. It is a type definition
 language designed to accommodate a variety of programming languages and
 data formats by the means of target-specific annotations. It supports
 sum types, parametrized types and inheritance. The library provides a
 parser and other tools useful for manipulating ATD type definitions.
 .
 This package contains the shared runtime libraries and plugins.
