=== debian/changelog ===
ocaml-atd (1.1.1-2) unstable; urgency=medium

  * Team upload
  * Fix package build on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 17:30:19 +0100

ocaml-atd (1.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2014 14:33:16 +0100
