## ocaml-atd 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,18 @@
-VERSION = 1.1.1
+VERSION = 1.1.2
 ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
 else
 EXE=
+endif
+
+NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then \
+                        echo YES; \
+                      else \
+                        echo NO; \
+                      fi)
+
+ifeq "${NATDYNLINK}" "YES"
+CMXS=atd.cmxs
 endif
 
 SOURCES = \
@@ -17,7 +27,7 @@
   atd_check.ml \
   atd_expand.mli atd_expand.ml \
   atd_inherit.mli atd_inherit.ml \
-  atd_tsort.mli atd_tsort.ml \
+  atd_sort.ml \
   atd_util.mli atd_util.ml \
   atd_reflect.mli atd_reflect.ml \
   atd_indent.mli atd_indent.ml
@@ -67,13 +77,13 @@
 
 all: VERSION META atd.cma
 
-opt: VERSION META atd.cmxa atdcat$(EXE)
+opt: VERSION META atd.cmxa $(CMXS) atdcat$(EXE)
 
 install: META
 	test ! -f atdcat || cp atdcat $(BINDIR)/
 	test ! -f atdcat.exe || cp atdcat.exe $(BINDIR)/
 	ocamlfind install atd META \
-	 $(MLI) $(CMI) $(CMO) $(CMX) $(O) atd.cma atd.a atd.cmxa \
+	 $(MLI) $(CMI) $(CMO) $(CMX) $(CMXS) $(O) atd.cma atd.a atd.cmxa \
          $(INSTALL_EXTRAS)
 
 uninstall:
@@ -132,10 +142,19 @@
 atd.cmxa: dep $(CMI) $(CMX)
 	ocamlfind ocamlopt $(OCAMLFLAGS) -o atd.cmxa -a $(CMX)
 
+atd.cmxs: dep $(CMI) $(CMX)
+	ocamlfind ocamlopt $(OCAMLFLAGS) -shared -o $(CMXS) $(CMX)
+
 atdcat$(EXE): dep $(CMI) $(CMX) atdcat.ml
 	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdcat$(EXE) \
 		-package "$(OCAMLPACKS)" -linkpkg \
 		$(CMX) atdcat.ml
+
+unit-tests$(EXE): dep $(CMI) $(CMX) unit_tests.ml
+	ocamlfind ocamlopt $(OCAMLFLAGS) -o unit-tests$(EXE) \
+		-package "$(OCAMLPACKS)" -linkpkg \
+		$(CMX) unit_tests.ml
+
 
 .PHONY: doc
 doc: odoc/index.html atdcat$(EXE)
@@ -148,7 +167,8 @@
 		-package "$(OCAMLPACKS)" $(DOCSOURCES)
 
 .PHONY: test
-test: atdcat$(EXE) test.atd test2.atd
+test: atdcat$(EXE) unit-tests$(EXE) test.atd test2.atd
+	./unit-tests$(EXE)
 	./atdcat test.atd > test.out
 	./atdcat test.out > test.out.out
 	cmp test.out test.out.out
@@ -186,6 +206,7 @@
 	rm -f $(patsubst %.mly,%.ml, $(MLY))
 	rm -f $(patsubst %.mll,%.ml, $(MLL))
 	rm -f atdcat.cm[ioxa] atdcat.o atdcat.cma atdcat.cmxa atdcat$(EXE)
+	rm -f unit-tests$(EXE)
 	rm -rf odoc
 	cd manual; $(MAKE) clean
