=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-atd
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -16,7 +17,7 @@
   libfindlib-ocaml-dev,
   libcaml2html-ocaml-dev,
   texlive-latex-extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mjambon.com/atdgen
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-atd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-atd.git
