=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 	$(MAKE) opt
 else
-	$(MAKE) atdcat.byte
+	$(MAKE) atdcat.byte unit-tests.byte
 endif
 	$(MAKE) odoc/index.html
 	$(MAKE) -C manual html pdf
