=== debian/watch ===
version=3
http://mjambon.com/releases/atd \
.*/atd/atd[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
