=== debian/changelog ===
ocaml-atd (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Fix call to "jbuilder install" (Closes: #917733)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 09 Jan 2019 16:49:20 +0100

ocaml-atd (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Remove a test that fails on i386 (Closes: #901823)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Dec 2018 10:39:31 +0100

ocaml-atd (2.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - add default-jdk-headless to Build-Depends
  * Update Homepage
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Jun 2018 11:04:00 +0200

ocaml-atd (1.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.12.0
    - switch to jbuilder
    - latex and html docs cannot be generated anymore
    - drop patch to toplevel Makefile
  * The new upstream release now includes src:atdgen and its binary packages
    - added binary packages libatdgen-ocaml-dev and libatdgen-ocaml
    - added build dependency on libbiniou-ocaml-dev and libyojson-ocaml-dev
  * Bump debhelper compat to 11
  * Remove trailing whitespaces
  * Bump Standards-Version to 4.1.4 (no changes required)
  * Switch Vcs-* fields to salsa
  * debian/copyright: add missing bit from license
  * debian/rules: use dh_missing --list-missing instead of
    dh_install --fail-missing
  * add autopkgtest

 -- Johannes Schauer <josch@debian.org>  Wed, 23 May 2018 08:40:27 +0200
