=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: ocaml-atd
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
+  dune (>= 1.6.2),
+  opam,
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
-  menhir, 
+  debhelper (>= 11),
+  menhir,
   libeasy-format-ocaml-dev,
   hevea,
   camlmix,
   libfindlib-ocaml-dev,
   libcaml2html-ocaml-dev,
-  texlive-latex-extra
-Standards-Version: 3.9.5
-Homepage: http://mjambon.com/atdgen
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-atd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-atd.git
+  libbiniou-ocaml-dev (>= 1.0.6),
+  libyojson-ocaml-dev,
+  default-jdk-headless,
+Standards-Version: 4.1.4
+Homepage: https://github.com/mjambon/atd
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-atd.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-atd
 
 Package: libatd-ocaml-dev
 Architecture: any
@@ -50,3 +53,33 @@
  parser and other tools useful for manipulating ATD type definitions.
  .
  This package contains the shared runtime libraries and plugins.
+
+Package: libatdgen-ocaml-dev
+Architecture: any
+Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Provides: ${ocaml:Provides}
+Recommends: ocaml-findlib
+Description: OCaml code generator for biniou and JSON - executable and dev files
+ Atdgen is a command-line program that takes as input type definitions in
+ the ATD syntax and produces OCaml code suitable for data serialization
+ and deserialization. Two data formats are currently supported, these are
+ biniou and JSON.
+ .
+ This package contains the adtgen executable and the files necessary
+ for programming with the library.
+
+Package: libatdgen-ocaml
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Provides: ${ocaml:Provides}
+Recommends: ocaml-findlib
+Description: OCaml code generator for biniou and JSON - plugins
+ Atdgen is a command-line program that takes as input type definitions in
+ the ATD syntax and produces OCaml code suitable for data serialization
+ and deserialization. Two data formats are currently supported, these are
+ biniou and JSON.
+ .
+ This package contains the shared runtime libraries (plugin).
