=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

# building the manual is currently broken as it needs adt_version.ml which is
# not generated
#.PHONY: override_dh_auto_build
#override_dh_auto_build:
#	dh_auto_build
#	make -C manual atd-manual.pdf atd-manual.html

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	jbuilder install --destdir=$(DESTDIR) --libdir=$(OCAML_STDLIB_DIR) --verbose

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --list-missing

# override this to prevent dh_auto_clean to try make distclean,
# which creates atd_version.ml
.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean
