=== debian/watch ===
version=3
https://github.com/mjambon/atd/tags .*/v?(.*)\.tar\.gz
