## ocaml-atd 2.1.0

=== debian/changelog ===
ocaml-atd (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2020 14:14:00 +0100
