=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  dune (>= 1.6.2),
-  opam,
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-best-compilers,
-  ocaml-findlib,
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 11),
-  menhir,
-  libeasy-format-ocaml-dev,
-  hevea,
-  camlmix,
-  libfindlib-ocaml-dev,
-  libcaml2html-ocaml-dev,
-  libbiniou-ocaml-dev (>= 1.0.6),
-  libyojson-ocaml-dev,
-  default-jdk-headless,
-Standards-Version: 4.1.4
-Homepage: https://github.com/mjambon/atd
+ debhelper-compat (= 12),
+ ocaml-nox,
+ ocaml-dune,
+ menhir,
+ libeasy-format-ocaml-dev,
+ libre-ocaml-dev,
+ libbiniou-ocaml-dev,
+ libyojson-ocaml-dev,
+# For the manual:
+ libcaml2html-ocaml-dev,
+ libfindlib-ocaml-dev,
+ hevea,
+ camlmix,
+ texlive-latex-extra,
+# For all OCaml packages:
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/ahrefs/atd
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-atd.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-atd
