=== manual/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Id: Makefile 52901 2010-12-10 18:47:39Z martin $
-
 # `make pdf' requires pdflatex and builds readme.pdf
 # `make txt' requires hevea and builds readme.txt
 # `make html' requires hevea and builds readme.html
@@ -22,7 +20,7 @@
 atd-manual.txt: $(addsuffix .tex, $(TEXFILES))
 	rm -f *.aux
 	hevea -fix -text atd-manual
-	cp atd-manual.txt ../README
+	iconv -f ISO_8859-1 -t UTF-8 < atd-manual.txt > ../atd-manual.txt
 
 atd-manual.html: $(addsuffix .tex, $(TEXFILES))
 	rm -f *.aux
@@ -33,5 +31,5 @@
 	pdflatex atd-manual
 
 clean:
-	rm -f *.aux *.toc *.log *.out *.haux *.htoc *.fls \
+	rm -f *.aux *.toc *.log *.out *.haux *.htoc *.fls *.mlx.ml \
 		atd-manual.pdf atd-manual.txt atd-manual.html
