=== atdgen/example/Makefile ===
.PHONY: default
default:
	./example.sh

.PHONY: clean
	rm -f *.cm[iox] *.o *.annot \
		format_v[12].mli format_v[12].ml \
		upgrade_demo upgrade_demo.exe \
		old_sample.dat new_sample.dat \
		old_data.dat new_data.dat
