=== debian/changelog ===
ocaml-atd (2.2.1-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:55 +0100

ocaml-atd (2.2.1-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 15:15:48 +0100

ocaml-atd (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Add myself to Uploaders and remove Hendrik
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 13:33:28 +0200
