=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,3 @@
 	rm -rf debian/tmp
 	cp -a _tmp debian/tmp
 	rm -rf debian/tmp/usr/doc/atdgen*runtime debian/tmp/usr/doc/*/LICENSE.md
-
-override_dh_missing:
-	dh_missing --fail-missing
