=== debian/watch ===
version=3
https://github.com/ahrefs/atd/releases .*/archive/v?(.*)\.tar\.gz
