## ocaml-atd 2.9.1

=== debian/changelog ===
ocaml-atd (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Package atdts.
  * Fix version detection.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Jul 2022 11:55:40 +0200

ocaml-atd (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Jul 2022 10:40:07 +0200

ocaml-atd (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * New usptream release.
  * Bump Standards-Version to 4.6.0.
  * Update d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 07 Apr 2022 10:26:02 +0200
