=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
  ocaml-nox,
  ocaml-dune,
  menhir,
+ libalcotest-ocaml-dev,
+ libcamlp-streams-ocaml-dev,
  libeasy-format-ocaml-dev,
  libre-ocaml-dev,
  libbiniou-ocaml-dev,
  libyojson-ocaml-dev,
+ python3-jsonschema (>= 4.6.0),
 # For the manual:
  libcaml2html-ocaml-dev,
  libfindlib-ocaml-dev,
@@ -20,7 +23,7 @@
  texlive-latex-extra,
 # For all OCaml packages:
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ahrefs/atd
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-atd.git
@@ -84,3 +87,12 @@
  biniou and JSON.
  .
  This package contains the shared runtime libraries (plugin).
+
+Package: atdts
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: ocaml-findlib
+Description: OCaml code generator for TypeScript
+ Atdts is a command-line program that takes as input type definitions in
+ the ATD syntax and produces TypeScript classes that can read and write
+ JHSON data.
