=== debian/watch ===
version=4
https://github.com/ahrefs/atd/releases .*/v?(.*)\.tar\.gz
