=== atd/Makefile ===
DUNE ?= dune

.PHONY: build
build:
	$(DUNE) build @all

.PHONY: test
test:
	$(DUNE) runtest -f
