=== atdts/test/ts-tests/Makefile ===
JS ?= js

.PHONY: test
test:
	# Install TypeScript and JavaScript dependencies locally
	npm install
	# Compile TypeScript (handwritten + generated by atdts) to JavaScript
	npm run tsc
	# Run the resulting code (compiled from TypeScript)
	$(JS) manual_sample.js
	$(JS) test_atdts.js

.PHONY: clean
clean:
	git clean -dfX
