=== debian/changelog ===
ocaml-atd (2.10.0-2) unstable; urgency=medium

  * Tighten the b-dep on yojson.
  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 23 Oct 2022 22:08:49 +0200

ocaml-atd (2.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Aug 2022 21:50:20 +0200
