=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libeasy-format-ocaml-dev,
  libre-ocaml-dev,
  libbiniou-ocaml-dev,
- libyojson-ocaml-dev,
+ libyojson-ocaml-dev (>= 2.0.2),
  python3-jsonschema (>= 4.6.0),
 # For the manual:
  libcaml2html-ocaml-dev,
@@ -23,7 +23,7 @@
  texlive-latex-extra,
 # For all OCaml packages:
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ahrefs/atd
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-atd.git
