=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	rm -rf _tmp
 
 override_dh_auto_build:
+	echo 'let version = "$(DEB_VERSION_UPSTREAM)"' > atd/src/version.ml
 	dune build -p atdgen-codec-runtime
 	$(DUNE_INSTALL) atdgen-codec-runtime
 	dune build -p atd
@@ -29,7 +30,8 @@
 	$(DUNE_INSTALL) atdgen-runtime
 	dune build -p atdgen
 	$(DUNE_INSTALL) atdgen
-	echo 'let version = "$(DEB_VERSION_UPSTREAM)"' > atd_version.ml
+	dune build -p atdts
+	$(DUNE_INSTALL) atdts
 	$(MAKE) -C manual
 
 override_dh_auto_test:
@@ -38,6 +40,7 @@
 	dune runtest -p atd
 	dune runtest -p atdgen-runtime
 	dune runtest -p atdgen
+	dune runtest -p atdts
 endif
 
 override_dh_auto_install:
