=== debian/watch ===
version=4
https://github.com/ahrefs/atd/tags .*/v?(.*)\.tar\.gz
