## ocaml-atd 2.12.0

=== debian/changelog ===
ocaml-atd (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 12:06:39 +0200
