=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  texlive-latex-extra,
 # For all OCaml packages:
  dh-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ahrefs/atd
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-atd.git
