=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export PATH := $(CURDIR)/_tmp/usr/bin:$(PATH)
 export OCAMLPATH := $(CURDIR)/_tmp$(OCAML_STDLIB_DIR)
 
-DUNE_INSTALL := dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+DUNE_INSTALL := dune install --destdir=$(CURDIR)/_tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 
 %:
 	dh $@ --with ocaml
