## ocaml-atd 2.15.0

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 .PHONY: all
 all:
 	$(MAKE) -C atdpy clean-for-dune
+	$(MAKE) -C atdd clean-for-dune
 	$(MAKE) -C atdts clean-for-dune
 	$(DUNE) build
 
@@ -43,17 +44,19 @@
 # to support all the target languages.
 .PHONY: test
 test:
-	$(MAKE) test-ts
 	$(MAKE) test-ocaml
 	$(MAKE) test-scala
 	$(MAKE) test-java
 	$(MAKE) test-python
 	$(MAKE) test-ts
+	$(MAKE) test-d
+
 
 # Test the OCaml code used by all the backends
 test-common:
 	$(MAKE) -C atd test
 	$(MAKE) -C atdcat test
+	$(MAKE) -C atddiff test
 
 # Test only the OCaml backends
 .PHONY: test-ocaml
@@ -85,6 +88,11 @@
 test-ts:
 	$(MAKE) test-common
 	$(MAKE) -C atdts test
+
+.PHONY: test-d
+test-d:
+	$(MAKE) test-common
+	$(MAKE) -C atdd test
 
 ############################################################################
