=== doc/requirements.txt ===
# We use cloud_sptheme because it allows advanced tables
sphinx
cloud_sptheme
