=== debian/changelog ===
ocaml-atd (2.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Feb 2024 11:40:42 +0100

ocaml-atd (2.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Oct 2023 08:32:12 +0200

ocaml-atd (2.12.0-3) unstable; urgency=medium

  * Mark <!nocheck> build-dependencies
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 06:10:04 +0200

ocaml-atd (2.12.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 09:33:22 +0200
