=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  menhir,
- libalcotest-ocaml-dev,
+ libalcotest-ocaml-dev <!nocheck>,
  libcamlp-streams-ocaml-dev,
  libeasy-format-ocaml-dev,
  libre-ocaml-dev,
@@ -22,7 +22,7 @@
  camlmix,
  texlive-latex-extra,
 # For all OCaml packages:
- dh-ocaml
+ dh-ocaml (>= 1.2.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ahrefs/atd
