=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ahrefs/atd/releases?per_page=50 \
https://github.com/ahrefs/atd/releases/download/[^/]+/atd-@ANY_VERSION@.tbz
